#ifndef VK_H
#define VK_H

#include <vulkan/vulkan.h>
#include <GLFW/glfw3.h>

class Vulkan
{
    public:
        void init(); // инициализация 
        void destroy(); // завершение работы
    private:
        VkInstance instance; // Экземпляр Vulkan
        VkPhysicalDevice physicalDevice; // Физическое устройство
        // Структура для хранения флагов
        struct 
        {
            const bool VALIDATION = true; // Использование слоев проверки
        } states;

        
        void createInstance(); // Создание экземпяра Vulkan
        void selectPhysicalDevice(); // Выбор физического устройства
};

#endif // VK_H